| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
GCC/arm_dotproduct_example_f32.c File Reference

## Macros

#define | MAX_BLOCKSIZE
#define | DELTA

## Functions

int32_t | main (void)

## Variables

float32_t | srcA_buf_f32 [MAX_BLOCKSIZE]
float32_t | srcB_buf_f32 [MAX_BLOCKSIZE]
float32_t | refDotProdOut
float32_t | multOutput [MAX_BLOCKSIZE]
float32_t | testOutput
arm_status | status

## Macro Definition Documentation

#define DELTA

Referenced by main().

#define MAX_BLOCKSIZE

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

References arm_add_f32(), ARM_MATH_TEST_FAILURE, arm_mult_f32(), DELTA, MAX_BLOCKSIZE, multOutput, refDotProdOut, srcA_buf_f32, srcB_buf_f32, status, and testOutput.

## Variable Documentation

float32_t multOutput[MAX_BLOCKSIZE]

float32_t refDotProdOut

float32_t srcA_buf_f32[MAX_BLOCKSIZE]

float32_t srcB_buf_f32[MAX_BLOCKSIZE]

arm_status status

float32_t testOutput